/*
Copyright 2022 Mattia Giambirtone & Contributors

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

#ifndef TSOS_DRV_PORTS_H 
#define TSOS_DRV_PORTS_H


#include "kernel/types.h"


byte readByte(u16 port);
void writeByte(u16 port, byte data);
u16 readWord(u16 port);
void writeWord(u16 port, u16 data);



#endif