/*
Copyright 2022 Mattia Giambirtone & Contributors

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

#include "kernel/types.h"
#include "kernel/drivers/vga/screen.h"
#include "kernel/util.h"


i32 kmain(void) {
    /*
    The kernel entry point of TSKL: The
    Simple Kernel
    */


    clearScreen();
    kprint("00000000000000000000000000000000000000000000000000000000000000000000000000000000"
           "000000000000000000000000000000000000000000000000");
    kprint("X");
    // TODO...
    return 0x202172; // :D
}